Track event

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

CURL Example

curl --request POST \
     --url https://in-automate.brevo.com/api/v2/trackEvent \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --header 'ma-key: ' \
     --data '
{
    "email": "[email protected]",
    "event": "cart_updated",
    "eventdata": {
        "data": {
            "added_product": [
                {
                    "currency": "EUR",
                    "name": "Wrist watch",
                    "type": "accessories",
                    "price": "50.00"
                }
            ]
        }
    },
    "properties": {
        "additionalProp": "string"
    }
}
Body Params

Values to track an event

string
required

Example for email is "email": "[email protected]"

string
required

An example for event is "event": "cart_updated"

properties
object

This object will content all your custom fields. Add as many as needed. Keep in mind that those user properties will populate your database on the Marketing Automation platform to create rich scenarios. An example would be "additionalProp" : "string"

eventdata
object

This object will contain all additional data you want to pass. It has three file ids' of type string with a unique number and data which can be later parametrised in a smtp template. An example would be "eventdata": { "data" : { "added_product":[{ "currency": "EUR", "name": "Wrist watch", "type":"accessories", "price" : "50.00" }] } }

Responses
204

Event has been tracked successfully

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json